Viewer
Identify viewer
Authorization
ApiKeyAuth X-API-Key<token>
API key for public routes (sk_ for secret, pk_ for publishable)
In: header
Path Parameters
eventID*string
Event ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://api.keepem.io/v1/events/string/identify" \ -H "Content-Type: application/json" \ -d '{ "external_id": "string" }'{
"$schema": "https://api.keepem.io/v1/schemas/IdentifyViewerOutputBody.json",
"progress_percent": 0.1,
"registration_token": "string",
"slug": "string",
"status": "string",
"viewer_id": "string"
}{
"$schema": "https://api.keepem.io/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "string",
"message": "string",
"value": null
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}